VBar 5.3.4 Pro Not Compatible With MKS DS1210 Servos - HeliFreak
Fun, Learning, Friendship and Mutual Respect START  HERE


Unregistered
Go Back   HeliFreak > R/C Electronics Support > Mikado V-BAR


Mikado V-BAR Mikado V-Stabi/V-BAR Flybarless System Software and Hardware Support


Reply
 
LinkBack Thread Tools Display Modes
Old 04-21-2013, 06:12 PM   #1 (permalink)
Registered Users
 
Posts: 1,300
 
My HF Map location
Join Date: May 2008
Location: Northern California
Default VBar 5.3.4 Pro Not Compatible With MKS DS1210 Servos

Hi folks,

I just upgraded from VBar 5.3.1 Pro to 5.3.4 Pro, and my front two servos on my Logo 500 stopped responding. Interestingly the elevator servo does work, even though all three are MKS DS1210 servos bought at the same time. Attached is a video showing the issue:

VBar 5.3.4 Bug With MKS DS1210 Servos (0 min 54 sec)


After making the video I downgraded to 5.2.4 Pro (5.3.1 Pro is no longer available) and all three servos started working again. None of the cables are loose and these tests were done five minutes apart from each other with no setup changes.

I suspect that whatever fixes Mikado made in 5.3.4 for Savox compatibility broke some MKS servos in the process.

Daniel
dswitkin is offline        Reply With Quote Quick reply to this message
Sponsored Links
Advertisement
 
Old 04-28-2013, 02:07 PM   #2 (permalink)
 

Join Date: Feb 2012
Location: usa..Michigan
Default

make sure the servos are in the correct ports.....
Modified is offline        Reply With Quote Quick reply to this message
Old 04-29-2013, 03:01 PM   #3 (permalink)
Registered Users
 
Posts: 1,300
Thread Starter Thread Starter
 
My HF Map location
Join Date: May 2008
Location: Northern California
Default

I have an update from Mikado who tell me this is a known issue. As I guessed the change for Savox servos broke compatibility with some MKS servos. I suggested that they add a servo type selector in future versions and they agreed but said:

"it is on the list for later improvements to be checked, but not in the next time."

The moral of the story is do not upgrade to 5.3.4 if you are running these servos.

If anyone else can share specific model numbers which also have the problem that would be helpful.
dswitkin is offline        Reply With Quote Quick reply to this message
Reply




Quick Reply
Message:
Options

Register Now

In order to be able to post messages on the HeliFreak forums, you must first register.
Please enter your desired user name, your REAL and WORKING email address and other required details in the form below.
User Name:
Password
Please enter a password for your user account. Note that passwords are case-sensitive.
Password:
Confirm Password:
Email Address
Please enter a valid email address for yourself. Use a real email address or you will not be granted access to the site. Thank you.
Email Address:
Location
Where do you live? ie: Country, State, City or General Geographic Location please.
Name and Lastname
Enter name and last name here. (This information is not shown to the general public. Optional)
Helicopter #1
Enter Helicopter #1 type and equipment.
Helicopter #2
Enter Helicopter #2 type and equipment.
Helicopter #3
Enter Helicopter #3 type and equipment.
Helicopter #4
Enter Helicopter #4 type and equipment.

Log-in

Human Verification

In order to verify that you are a human and not a spam bot, please enter the answer into the following box below based on the instructions contained in the graphic.



Thread Tools
Display Modes

Posting Rules
You may post new threads
You may post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On




Copyright © Website Acquisitions Inc. All rights reserved.
vBulletin Security provided by vBSecurity v2.2.2 (Pro) - vBulletin Mods & Addons Copyright © 2018 DragonByte Technologies Ltd.

SEO by vBSEO 3.6.1